#
# spec file for package python-PyGithub
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-PyGithub
Version:        1.25.2
Release:        5.5
Summary:        Use the full Github API v3
License:        LGPL-3.0+
Group:          Development/Languages/Python
Url:            http://jacquev6.github.com/PyGithub
Source:         http://pypi.python.org/packages/source/P/PyGithub/PyGithub-%{version}.tar.gz
# PATCH-FIX-OPENSUSE speilicke@suse.com -- Remove tests that need network access during build
Patch0:         PyGithub-drop-network-tests.patch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
PyGithub is a Python (2 and 3) library to use the Github API v3. With it, you
can manage your Github resources (repositories, user profiles, organizations,
etc.) from Python scripts.

%prep
%setup -q -n PyGithub-%{version}
%patch0 -p1

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
rm -r %{buildroot}%{python_sitelib}/github/tests # Don't ship testsuite

%check
python setup.py -q test

%files
%defattr(-,root,root,-)
%doc README.rst COPYING COPYING.LESSER
%{python_sitelib}/github
%{python_sitelib}/PyGithub-%{version}-py%{py_ver}.egg-info

%changelog
* Mon May 11 2015 benoit.monin@gmx.fr
- update to version 1.25.2:
  * Work around the GitHub API v3 returning null in some paginated
    responses
- additional changes from version 1.25.1
  * Fix two-factor authentication header, thanks to tradej for the
    pull request
- additional changes from version 1.25.0
  * Implement getting repos by id, thanks to tylertreat for the
    pull request
  * Add Gist.owner, thanks to dalejung for the pull request
- additional changes from version 1.24.1
  * Fix urlquoting in search, thanks to cro for the pull request
- additional changes from version 1.24.0
  * Implement search, thanks to thialfihar for the pull request
- additional changes from version 1.23.0
  * Fix all that is based on headers in Python 3 (pagination,
    conditional request, rate_limit...), huge thanks to cwarren-mw
    for finding the bug
  * Accept strings for assignees and collaborators, thanks to farrd
  * Ease two-factor authentication by adding ‘onetime_password’ to
    AuthenticatedUser.create_authorization, thanks to cameronbwhite
- additional changes from version 1.22.0
  * Emojis, thanks to evolvelight
  * Repository.stargazers_count, thanks to cameronbwhite
  * User.get_teams, thanks to poulp
- refresh PyGithub-drop-network-tests.patch
- pass -q to test to avoid spamming the build log
- change path of license files: moved upstream
* Wed Dec  4 2013 speilicke@suse.com
- Update to version 1.21.0:
  + No changelog, but https://github.com/jacquev6/PyGithub/issues?milestone=33&state=closed
- Add PyGithub-drop-network-tests.patch: Drop tests that need network access
  during build
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Tue Apr 23 2013 speilicke@suse.com
- Add COPYING and COPYING.LESSER
* Thu Apr 11 2013 cfarrell@suse.com
- license update: LGPL-3.0+
  See setup.py as well as all the source code files in the package itself
  (and the COPYING.LESSER)
* Wed Apr 10 2013 speilicke@suse.com
- Fix spurious executable perms (README.rst)
- Don't ship testsuite (scripts w/o sheban / fdupes warnings)
* Wed Apr 10 2013 speilicke@suse.com
- Initial version
